HOTDOC_PROJECTS = newport-@NEWPORT_API_VERSION@

DBUS_SOURCE_FILES = \
	$(top_srcdir)/interface/org.apertis.Newport.Download.xml \
	$(top_srcdir)/interface/org.apertis.Newport.Service.xml \
	$(NULL)

GDBUS_SOURCE_FILES = \
	$(DBUS_SOURCE_FILES:$(top_srcdir)/%.xml=$(top_builddir)/%.c) \
	$(DBUS_SOURCE_FILES:$(top_srcdir)/%.xml=$(top_builddir)/%.h)

C_SOURCE_FILES = \
	$(top_srcdir)/interface/newport-enums.h \
	$(top_srcdir)/interface/newport-errors.c \
	$(top_srcdir)/interface/newport-errors.h \
	$(GDBUS_SOURCE_FILES) \
	$(NULL)

newport_@NEWPORT_API_VERSION@_HOTDOC_FLAGS = \
	--project-name Newport \
	--project-version @NEWPORT_API_VERSION@ \
	--index $(srcdir)/markdown_files/index.markdown \
	--output $(top_builddir)/docs/reference/built_doc \
	--sitemap $(srcdir)/sitemap.txt \
	--c-sources $(C_SOURCE_FILES) \
	--c-include-directories \
		@abs_top_srcdir@ \
		@abs_top_builddir@ \
		@abs_top_builddir@/interface \
	--gdbus-codegen-sources $(GDBUS_SOURCE_FILES) \
	--pkg-config-packages \
		glib-2.0 \
		gio-2.0 \
	--gi-sources \
		$(top_builddir)/interface/NewportInterface-@NEWPORT_API_VERSION@.gir \
	--gi-smart-index \
	--dbus-sources \
		$(DBUS_SOURCE_FILES) \
	--dbus-smart-index \
	--devhelp-activate

-include $(HOTDOC_MAKEFILE)

-include $(top_srcdir)/git.mk
